﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: True
#End Region

Sub Process_Globals
	Private lock As PhoneWakeState
	Dim reqManager As DBRequestManager
	Public rp As RuntimePermissions
	Public Mplayer1 As MediaPlayer
	Public nid As Int = 51042
	Public n As Notification
	Public MyTimer As Timer
End Sub

Sub Service_Create
	Mplayer1.Initialize
	Service.AutomaticForegroundMode = Service.AUTOMATIC_FOREGROUND_NEVER 'we are handling it ourselves
	lock.PartialLock
	MyTimer.Initialize("tmr1",5000)
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StartForeground(nid,CreateNotification)
	MyTimer.Enabled=True
End Sub

Sub tmr1_Tick
	If reqManager.IsInitialized=False Then
		reqManager.Initialize(Me, "http://xx.xx.xx.xx:17180/rdc")
	End If
	Dim cmd1 As DBCommand
	cmd1.Initialize
	cmd1.Name = "cmd2"
	cmd1.Parameters = Array As Object("2000-01-01 00:00:00")
	reqManager.ExecuteQuery(cmd1, 0, "Tagcmd2")
End Sub

Sub JobDone(Job As HttpJob)
	Log("JobDone, time = " & DateTime.Now )
	MyPlay("dung",False)
End Sub

Private Sub CreateNotification As Notification
   
	If n.IsInitialized Then
		n.Cancel(nid)
	End If

	CreateNotificationChannel(n.IMPORTANCE_LOW)
	n.Initialize2(n.IMPORTANCE_LOW)
	n.Icon = "icon"
	n.SetInfo("test1", "test2", Main)
	n.Notify(1)
   
	Return n
   
End Sub

Sub Service_Destroy
	lock.ReleasePartialLock
End Sub

Sub MyPlay(fn As String, Lp As Boolean)
	If Mplayer1.IsPlaying Then Return
	Mplayer1.Load(File.DirAssets, fn & ".wav")
	If IsPaused(Main) And Lp=True Then
		Mplayer1.Looping=True
	Else
		Mplayer1.Looping=False
	End If
	Mplayer1.Play
End Sub

Sub CreateNotificationChannel(ImportanceLevel As Int)
	Dim p As Phone
	If p.SdkVersion >= 26 Then
		Dim ctxt As JavaObject
		ctxt.InitializeContext
		Dim channelId As String = "channel_" & ImportanceLevel
		Dim channel As JavaObject
		channel.InitializeNewInstance("android.app.NotificationChannel", Array(channelId, Application.LabelName, ImportanceLevel))
		'modify the channel
		'For example: disable the badge feature
		channel.RunMethod("setShowBadge", Array(False))      
		'set it
		Dim manager As JavaObject = ctxt.RunMethod("getSystemService", Array("notification"))
		manager.RunMethod("createNotificationChannel", Array(channel))
	End If
End Sub
